<?php
// +----------------------------------------------------------------------
// | 微服务配置
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

return array(
    // 是否启用数据传输加密
    'aes_status'   => true,
    // 数据加密方式
    'aes_method'   => 'AES-128-ECB',
    // 加密密钥
    'aes_key'      => 'swoolex',
    // 加密向量
    'aes_iv'       => '',

    // +-----------------------------
    // | 客户端Client配置
    // +-----------------------------
    
    // rpc请求超时时间(s)
    'out_time' => 5,
    // SWOOLE-CLIENT 接收超时 
    'write_timeout' => 10,
    // 接收最大内容(字节)
    'string_max_size' => 8190,
    
    // +-----------------------------
    // | Redis 服务的Key
    // +-----------------------------
    'redis_key' => 'swoolex_rpc',


    // +-----------------------------
    // | Redis 服务的配置
    // +-----------------------------
    // HOST
    'host' => '127.0.0.1',
	// port
	'port' => '6380',
	// assword
	'password' => 'root',
	// 最大连接超时(S)
	'outtime' => 10,
	// 前缀
	'prefix' => 'swx_',
);
